#2950 closed infra (fixed)

doxygen does not install on sync.rtems.org

Reported by: Chris Johns Owned by: Amar Takhar
Priority: high Milestone: 4.11.2
Component: admin Version: 4.11
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

The dependent package graphviz does not install:

[sync.rtems.org] [1/2] Extracting graphviz-2.40.1: 0%/usr/local/lib/libpkg.so.4: Undefined symbol "utimensat"

The doxygen command is needed to build doxygen documentation for a release.

Change History (14)

comment:1 Changed on Mar 24, 2017 at 6:10:45 AM by Chris Johns

Severity: majorblocker

Also wkhtmltopdf which is used to build the release notes:

[sync.rtems.org] Extracting wkhtmltopdf-0.12.3.2: 0%/usr/local/lib/libpkg.so.4: Undefined symbol "utimensat"

comment:2 Changed on Mar 24, 2017 at 3:50:43 PM by Amar Takhar

Owner: changed from amar@… to Amar Takhar
Status: newassigned

I will look at this over the weekend. The machine needs an upgrade.

comment:3 Changed on Mar 24, 2017 at 11:27:13 PM by Chris Johns

Thank you.

comment:4 Changed on Mar 29, 2017 at 4:58:05 AM by Chris Johns

Ping on progress?

Will I be able to create 4.11.2-rc2 soon?

Thanks

comment:5 Changed on Mar 29, 2017 at 1:26:33 PM by Amar Takhar

Yes there has been progress when do you need this by?

comment:6 Changed on Mar 29, 2017 at 1:52:59 PM by Amar Takhar

Wait, why is this being done on sync? I thought we setup mutex at OAR for this purpose? deadline being the old rtems.org machine.

comment:7 in reply to:  5 Changed on Mar 29, 2017 at 11:35:20 PM by Chris Johns

Replying to Amar Takhar:

Yes there has been progress when do you need this by?

The release date for the 4.11.2 milestone is April 6th. This ticket is assigned to that milestone.

I would like to make a another release candidate as soon as possible and this ticket is blocking me.

Wait, why is this being done on sync? I thought we setup mutex at OAR for this purpose? deadline being the old rtems.org machine.

No, I do releases on sync.rtems.org.

Also I think we should be able to run doxygen on an RTEMS Project server. :)

comment:8 Changed on Apr 3, 2017 at 10:43:46 PM by Joel Sherrill

Please upgrade sync.rtems.org so we can build Doxygen and make releases.

The old rtems.org server (now deadline) finally died after many years. There is no way to hop through to mutex. There is no equipment available to replace it.

The intention has been to move to rtems.org equipment and not rely on OAR equipment. The death of the machine is just eliminating this option.

comment:10 Changed on Apr 8, 2017 at 10:03:13 PM by Chris Johns

Resolution: fixed
Status: assignedclosed

I can build a full release on sync.rtems.org. Amar, thank you for fixing this.

comment:11 Changed on Apr 11, 2017 at 10:44:44 PM by Chris Johns

Resolution: fixed
Status: closedreopened

doxygen is reporting:

mscgen: not found
mscgen: not found
mscgen: not found

It looks like this is not installed and we need it. This is something Joel raised the other day.

comment:12 Changed on Apr 11, 2017 at 10:53:38 PM by Joel Sherrill

mscgen may or may not be packaged for FreeBSD. On Fedora/Centos?, it isn't packaged and I just put the static executable from the site in my personal bin directory.

Not sure what is required on FreeBSD but just a heads up.

comment:13 Changed on Apr 11, 2017 at 11:35:20 PM by Amar Takhar

I built and installed it from ports.

comment:14 Changed on Apr 12, 2017 at 9:14:51 PM by Chris Johns

Resolution: fixed
Status: reopenedclosed

Fixed.

Note: See TracTickets for help on using tickets.